\name{QNB-package}
\alias{QNB-package}
\alias{QNB}
\docType{package}
\title{
 Differential RNA Methylation Analysis for Count-Based Small-Sample Sequencing Data 
       with a Quad-Negative Binomial Model
}
\description{
As a newly emerged research area, RNA epigenetics has drawn increasing attention recently for the participation of RNA methylation and other modifications in a number of crucial biological processes. Thanks to high throughput sequencing techniques, such as m6A-Seq, transcriptome-wide RNA methylation profile is now available in the form of count-based data, with which it is often of interests to study the dynamics in epitranscriptomic layer. However, the sample size of RNA methylation experiment is usually very small due to its costs; and additionally, there usually exist a large number of genes whose methylation level cannot be accurately estimated due to their low expression level, making differential RNA methylation analysis a difficult task.
We present QNB, a statistical approach for differential RNA methylation analysis with count-based small-sample sequencing data. The method is based on 4 independent negative binomial distributions with their variances and means linked by local regressions. QNB showed improved performance on simulated and real m6A-Seq datasets when compared with competing algorithms. And the QNB model is also applicable to other datasets related RNA modifications, including but not limited to RNA bisulfite sequencing, m1A-Seq, Par-CLIP, RIP-Seq, etc. Please don't hesitate to contact <liulian19860905@163.com> if you have any questions.
}
\details{
\tabular{ll}{
Package: \tab QNB\cr
Type: \tab Package\cr
Version: \tab 1.1.8\cr
Date: \tab 2017-05-23\cr
License: \tab GPL-2\cr
}
}
\author{
Lian Liu
Maintainer: <liulian19860905@163.com>
}
\keyword{ differential RNA methylation, quad-negative-binomial model }

\examples{
  #See the details in qnbtest
}